> ## Documentation Index
> Fetch the complete documentation index at: https://docs.worthai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Allows a user to reset their password using a valid reset token.



## OpenAPI

````yaml post /reset-password
openapi: 3.1.0
info:
  title: Auth Service
  version: 1.0.0
  description: API documentation for Auth Service
servers:
  - url: https://api.joinworth.com/auth/api/v1
    description: Production server
security: []
paths:
  /reset-password:
    post:
      tags:
        - Sign In
      summary: Reset Password
      description: Allows a user to reset their password using a valid reset token.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                password:
                  type: string
                  description: The new password to set after reset
                reset_token:
                  type: string
                  description: The token required to validate the password reset request
              required:
                - password
                - reset_token
              description: Both password and reset_token are required for password reset.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Password Changed successfully
              example:
                status: success
                message: Password Changed successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: fail
                  message:
                    type: string
                    example: This reset password link has expired
                  errorCode:
                    type: string
                    example: INVALID
                  data:
                    type: object
                    properties:
                      errorName:
                        type: string
                        example: SignInApiError
              example:
                status: fail
                message: This reset password link has expired
                errorCode: INVALID
                data:
                  errorName: SignInApiError
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: invalid signature
                  errorCode:
                    type: string
                    example: UNKNOWN_ERROR
                  data:
                    type: object
                    properties:
                      errorName:
                        type: string
                        example: JsonWebTokenError
              example:
                status: error
                message: invalid signature
                errorCode: UNKNOWN_ERROR
                data:
                  errorName: JsonWebTokenError
components:
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
              errorCode:
                type: string
                example: ERR_UNAUTHORIZED
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Forbidden
              errorCode:
                type: string
                example: ERR_FORBIDDEN

````